%define name    Guppi
#define realversion 0.35.666
%define version 0.40.3
%define release alt6

Summary: GNOME Data Analysis and Visualization
Name: %name
Version: %version
Release: %release
License: GPL
Packager: Vitaly Lipatov <lav@altlinux.ru>

Group: Office
Source: ftp://ftp.gnome.org/pub/guppi/Guppi-%version.tar.bz2
Patch: guppi3-pythreads.patch
Source1: %name-48.xpm.bz2
Source2: %name-32.xpm.bz2
Source3: %name-16.xpm.bz2

Url: http://www.gnome.org/guppi
Requires: guile16
Requires: gnome-print
Requires: gdk-pixbuf >= 0.8.0
Requires: gdk-pixbuf-gnomecanvas >= 0.8.0
Requires: pythonlib
Requires: bonobo
# temporary solution...
PreReq: oaf >= 0.6.7

# Automatically added by buildreq on Mon Oct 06 2003
BuildRequires: ORBit-devel XFree86-devel XFree86-libs docbook-utils esound-devel flex freetype2-devel gdk-pixbuf-devel glib-devel glibc-devel-static gnome-libs-devel gtk+-devel gtk-doc hostinfo imlib-devel libaudiofile-devel libbonobo-devel libdb1-devel libglade-devel libgnomeprint-devel libwrap libxml-devel oaf-devel xpm-devel zlib-devel

%description
GNOME is the GNU Network Object Model Environment.
This powerful environment is both easy to use and easy to configure.

This package will install Guppi, a GNOME-based data analysis and visualization system.
Install this package if you want to test Guppi.

# -- Lib Package --
%package -n libguppi
Summary: Libraries for Guppi
Group: System/Libraries
%description -n libguppi
This package provides libraries to use Guppi.

# -- Devel Package --
%package -n libguppi-devel
Summary: Development files for Guppi
Group: Development/C
Requires: %name = %version
Requires: libguppi = %version
Obsoletes: libguppi-devel-static
%description -n libguppi-devel
Development files for Guppi.

# -- Devel Static Package --
#%package -n libguppi-devel-static
#Summary: Static development files for Guppi
#Group: Development/C
#Requires: %name = %version
#Requires: libguppi = %version
#%description -n libguppi-devel-static
#Static development files for Guppi.

%prep
%setup -q
#%patch -p1

%build
#CFLAGS=$RPM_OPT_FLAGS  CXXFLAGS=$RPM_OPT_FLAGS ./autogen.sh --prefix=%prefix --enable-gnumeric --enable-static
CFLAGS=$RPM_OPT_FLAGS  CXXFLAGS=$RPM_OPT_FLAGS ./configure --prefix=%prefix --enable-gnumeric
#configure --enable-gnumeric --enable-sluggish-linking
%make

%install
%makeinstall

# Menu
#mkdir -p $RPM_BUILD_ROOT%_menudir
#cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
#?package(%name): command="%_bindir/guppi-gnumeric" needs="X11" \
#icon="%name.xpm" section="Office" \
#title="Guppi" longtitle="GNOME-based data analysis and visualization system"
#EOF

# icon
mkdir -p $RPM_BUILD_ROOT%_liconsdir
mkdir -p $RPM_BUILD_ROOT%_iconsdir
mkdir -p $RPM_BUILD_ROOT%_miconsdir
bzcat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.xpm
bzcat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.xpm
bzcat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.xpm

%find_lang %name

%pre
if [ "$DURING_INSTALL" = "" ]; then
	%_bindir/oaf-slay -s ||:
fi

%post -n libguppi -p /sbin/ldconfig
#update_menus
%postun -n libguppi -p /sbin/ldconfig
#clean_menus

%files -f %name.lang
%doc AUTHORS BIBLIOGRAPHY ChangeLog NEWS README
#%_bindir/*
%dir %_libdir/guppi
%dir %_libdir/guppi/plug-ins
%_libdir/guppi/plug-ins/%version
%_datadir/gnome/help/guppi/*
%_datadir/guppi/glade
#%_datadir/guppi/scripts
%_datadir/pixmaps/*
#%_datadir/oaf/*

# -- Devel Package --
%files -n libguppi-devel
%_includedir/gnome-1.0/*
%_datadir/aclocal/*
#%_libdir/*.la
%_libdir/*.so
%_libdir/*.sh

# -- Lib Package --
%files -n libguppi
%_libdir/lib*.so.*

%changelog
* Thu Dec 04 2003 Vitaly Lipatov <lav@altlinux.ru> 0.40.3-alt6
- minimal build for gnucash
- .la removed from -devel

* Mon Nov 18 2002 AEN <aen@altlinux.ru> 0.40.3-alt5
- rebuild with gal-0.21

* Mon Oct 28 2002 AEN <aen@altlinux.ru> 0.40.3-alt4
- rebuilt with gcc-3.2

* Mon Feb 04 2002 AEN <aen@logic.ru> 0.40.3-alt3
- rebuild with new gnumeric

* Fri Jan 24 2002 AEN <aen@logic.ru> 0.40.3-alt2
- don't use configure macro

* Tue Jan 22 2002 AEN <aen@logic.ru> 0.40.3-alt1
- new version

* Mon Jan 14 2002 AEN <aen@logic.ru> 0.40.2-alt2
- rebuilt with new gal-0.19

* Wed Nov 21 2001 AEN <aen@logic.ru> 0.40.2-alt1
- new version

* Fri Nov 09 2001 AEN <aen@logic.ru> 0.40.0-alt3
- rebuilt with libgal-0.18

* Tue Nov 09 2001 AEN <aen@logic.ru> 0.40.0-alt2
- sluggish-linking
- remove menu

* Mon Oct 29 2001 AEN <aen@logic.ru> 0.40.0-alt1
- 0.40 release

* Mon Oct 15 2001 AEN <aen@logic.ru> 0.40.0-alt0.1
- new sources from gnome ftp (0.40.0pre1)

* Fri Oct 12 2001 AEN <aen@logic.ru> 0.35.666-alt2
- update sources

* Wed Oct 10 2001 AEN <aen@logic.ru> 0.35.666-alt1
- build sources from CVS
- menu disabled

* Wed Jul 18 2001 AEN <aen@logic.ru> 0.35.5-alt5
- rebuild in new environment

* Thu Jul 5 2001 AEN <aen@logic.ru> 0.35.5-alt4
- %files fixed (thnx to Sergey Yatskevith)

* Wed Jun 27 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.35.5-alt3
- Rebuilt with python-2.1
- Some spec cleanup
- Build static libraries and added devel-static package

* Tue May 22 2001 AEN <aen@logic.ru> 0.35.5-alt2
- build for Sisyphus with gnumeric support

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.35.3-3mdk
- Update menu in post/postun scripts

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.35.3-2mdk
- Recompiled against latest gnome-print

* Tue Feb 27 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.35.3-1mdk
- first mandrake spec file
- corrected files list (we do not own the whole /usr ;-)
- created devel and lib packages
- added icons and menu entry

* Sat Mar 04 2000 Jon Trowbridge <trow@gnu.org>

- Converted Guppi.spec to Guppi.spec.in.
- Tweaked the language in the summary & description.

* Mon Feb 28 2000 Jon Trowbridge <trow@gnu.org>

- Changed version to 0.34.3.

* Wed Feb 23 2000 Jon Trowbridge <trow@gnu.org>

- Updated to 0.34.2.

* Mon Feb 22 2000 Kenny Graunke <graunke@teleport.com>

- Updated to 0.34.1 (using repackaged source, ugh), spec file rewrite
- This 0.34.1 source disables readline due to broken libguilereadline.so
  problems in every guile 1.3.4 x86 RPM I've seen...

* Wed Jan 26 2000 Conrad Steenberg <conrad@srl.caltech.edu>

- Some Alpha fixes for configure
- Remove some unneeded stripping foo and just do a 'make install-strip' instead.
- Move this changelog to the bottom of the file :-)

* Mon Jan 24 2000 Kenny Graunke <graunke@teleport.com>

- First Guppi RPM
